Subject: Re: Cygwin RCS Build Instructions (or sometimes ash does not like a.out)
From: Jason Tishler <[email-masked]>
To: Markus Hoenicka <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Oct 2000 21:35:37 -0400

Markus,

On Thu, Oct 12, 2000 at 10:09:19PM +0000, Markus Hoenicka wrote:
> 1) I still maintain that your patch is at least partly a reverse
> patch. Did you go ahead and paste the patch from your mail back into a
> file and test it?

Yes, that is what I meant by eating my dog food (again).  I would never
post a patch without actually trying it myself first.  Note that instead
of cutting and pasting, I saved the attachments (i.e., patches) as files.

> Compare e.g. the beginning of the first hunk of
> rcs-5.7-cygwinb20.patchb and your patch:
> [snip]
> This is pretty much the same, so I'd be surprised if patch did not
> complain when you apply your patch after the first one. I'm afraid you
> pasted a wrong patch file into your mail.

On Thu, Oct 12, 2000 at 10:27:45AM -0400, Jason Tishler wrote:
> 2. rcs-5.7-cygwin-1.patch is identical to the one that Andre Oliveira
> da Costa posted in:
> 
>    http://sources.redhat.com/ml/cygwin/2000-08/msg00618.html.

As I stated in my initial post, rcs-5.7-cygwin-1.patch is identical to
rcs-5.7-cygwinb20.patchb.  You should only apply one or the other.  I
just included rcs-5.7-cygwinb20.patchb renamed to rcs-5.7-cygwin-1.patch
so people wouldn't have to go looking for it.

> So I'd be glad if anyone could tell me how I can run patch without
> screwing up my line endings.

On Thu, Oct 12, 2000 at 07:55:41PM -0500, Chris Abbey wrote:
> depending on how you use patch, might this be related to the pipe
> issue Chris very recently fixed? i.e. some people cat (or bzcat, etc)
> patches into the patch command, while others use the command options
> to specify source location.

How exactly are you invoking patch?

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]